Sha256: bf19875d461ccdec2b9e090e637823ffa92d91388f5d073b913ebd9bcbd29ad8
Contents?: true
Size: 506 Bytes
Versions: 108
Compression:
Stored size: 506 Bytes
Contents
#!/usr/bin/env bash LINTER=jq INSTRUCTIONS_URL="https://stedolan.github.io/jq/download/" function command_exists() { type "$1" &> /dev/null } function error_exit { printf "$1" >&2 exit "${2:-1}" } if ! command_exists $LINTER; then error_exit "'$LINTER' is not installed.\nSee $INSTRUCTIONS_URL for installation instructions.\n" fi STATUS=0 for f in $(ls exercises/**/*.json); do cat $f | $LINTER . > /dev/null 2>&1 if [ $? != 0 ]; then echo "Invalid json: $f" STATUS=1 fi done exit $STATUS
Version data entries
108 entries across 108 versions & 1 rubygems